using SchoolContracts.BindingModels;
using SchoolContracts.SearchModels;
using SchoolContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolContracts.StorageContracts
{
	public interface IStudyStorage
	{
		List<StudyViewModel> GetFullList();
		List<StudyViewModel> GetFilteredList(StudySearchModel model);
		StudyViewModel? GetElement(StudySearchModel model);
		StudyViewModel? Insert(StudyBindingModel model);
		StudyViewModel? Update(StudyBindingModel model);
		StudyViewModel? Delete(StudyBindingModel model);
	}
}
